import bpy

#---------------------------------------------------------------------------------------------------

class NOXToolsPanel(bpy.types.Panel):
    bl_space_type = 'VIEW_3D'
    bl_region_type = 'TOOLS'
    bl_idname = "noxtoolspanel"
    bl_label = "NOX Tools"
    COMPAT_ENGINES = {"nox_renderer"}

    def draw(self, context):
        row = self.layout.row()
        row.operator("wm.buttondrawselectedbounds")
        row = self.layout.row()
        row.operator("wm.buttondrawselectedsolid")

    @classmethod
    def poll(cls, context):
        return (context.scene.render.engine == 'nox_renderer')

#---------------------------------------------------------------------------------------------------
